# Interface to the KDebugForKernel library.

## Typedefs

typedef void(* | PspDebugPutChar )(unsigned short *args, unsigned int ch)
| Typedef for the debug putcharacter handler.

## Functions

void | sceKernelRegisterDebugPutchar (PspDebugPutChar func)
| Register a debug put character handler.
void | Kprintf (const char *format,...)
| Kernel printf function.

## Typedef Documentation

typedef void(* PspDebugPutChar)(unsigned short *args, unsigned int ch)

| Typedef for the debug putcharacter handler.

## Function Documentation

void Kprintf | ( | const char * | format,
|  |  | ...
| ) |

Kernel printf function.

Parameters:

  | format | - The format string.
  | ... | - Arguements for the format string.

void sceKernelRegisterDebugPutchar | ( | PspDebugPutChar | func | ) |

Register a debug put character handler.

Parameters:

  | func | - The put character function to register.